import request from '@/utils/request'

// 查询协议列表列表
export function listAgreement(query) {
  return request({
    url: '/bst/agreement/list',
    method: 'get',
    params: query
  })
}

// 查询协议列表详细
export function getAgreement(id) {
  return request({
    url: '/bst/agreement/' + id,
    method: 'get'
  })
}

// 新增协议列表
export function addAgreement(data) {
  return request({
    url: '/bst/agreement',
    method: 'post',
    data: data
  })
}

// 修改协议列表
export function updateAgreement(data) {
  return request({
    url: '/bst/agreement',
    method: 'put',
    data: data
  })
}

// 删除协议列表
export function delAgreement(id) {
  return request({
    url: '/bst/agreement/' + id,
    method: 'delete'
  })
}
